#!/bin/ksh
# ident @(#)tape-chk.cgi	1.1     96/03/11 SMI
#
# Copyright 1996 Sun Microsystems, Inc. All Rights Reserved

MODULE=services/SUNWsbuA
. /opt/netra/SUNWnetra/lib/netra.globals
. $MODLIB/legato.ksh

server=`uname -n`

# We only get here if the user pressed OK requesting an
# unload of the tape.

dev=`get_default_device | awk '{print $1;}'`
if [[ $dev = '' ]]; then
        netra_html_info "No tape device found."
	netra_html_head "Tape Inventory"
	netra_html_tail \
		-u $MODCGI/index.cgi \
	        $MODCGI/tape.cgi "Tape Inventory"
	exit 0
fi

# Turn off auto media management:
auto_media_management_off

# and do the appropriate action:
if [[ $WWW_action = "MOUNT" ]]; then
	if [[ $dev != Jukebox* ]]; then
		# Note, this doesn't allow for jukebox mounts,
		# but that shouldn't be necessary anyway, should it?
		str=` ${LEGATO_SBIN}/nsrmm -s $server -m 2>&1 `
		let status=$?
		str="A mount operation has been requested.<BR>$str"
		op="mounting"
	else
		let status=0
		str="A jukebox shouldn't require an explicit mount command."
		op="mounting"
	fi
elif [[ $WWW_action = "UNMOUNT" ]]; then
	unmount
	let status=$?
	auto_media_management_on
	str="The tape has been unmounted."
	op="unmounting"
elif [[ $WWW_action = "UNLOAD" ]]; then
	${LEGATO_SBIN}/nsrjb -H
	auto_media_management_on
	exec tape.cgi
elif [[ $WWW_action = JUKEBOX* ]]; then
	${LEGATO_SBIN}/nsrjb -I
	let status=$?
	if [[ $status -ne 0 ]]; then
		netra_html_info \
		    "Problem inventorying jukebox; suggest pressing UNLOAD"
	fi
	auto_media_management_on
	exec tape.cgi
else
	str="No action was taken."
	let status=0
	op="with"
fi

# and finally, turn auto media management back on:
auto_media_management_on

if [[ $status -eq 0 ]]; then
	netra_html_success
else
	netra_html_info "Problem $op tape"
fi
netra_html_head "Tape Inventory"

print "$str"

netra_html_tail \
	-u $MODCGI/index.cgi \
        $MODCGI/tape.cgi "Tape Inventory"
set -u
